Subject: bug#34094: 27.0.50; (wrong-type-argument stringp (require . elec-pair)) with describe-function (and other commands)

From: Tassilo Horn <[email-masked]>
Date: Mon, 17 Feb 2020 16:31:03 +0100

Stefan Monnier <[email-masked]> writes:

>> emacs -Q
>>
>> M-x toggle-debug-on-error
>> C-h f package-reinstall
>>
>> You get this backtrace:
>>
>> Debugger entered--Lisp error: (wrong-type-argument stringp (require . elec-pair))
>
> I'm trying to find the root cause of this messed up `load-history` but
> can't reproduce this problem.  IIUC it was linked to Emacs not finding
> the pdmp file, so I did
>
>     rm src/emacs.pdmp
>     emacs -Q
>
> but that still works correctly for me.

Right, the problem back then was that I had a symlink ~/bin/emacs ->
~/Repos/el/emacs/src/emacs which didn't work with the portable dumper.

> Can anyone still reproduce such a problem with `master`?

I can't.  Back then I've replaced the above symlink with a shell
script.  Now I tried again with the symlink and my recipe doesn't
trigger the error anymore.

Bye,
Tassilo